Configuration
Update Category
Update a specific category.
PUT
/
v1
/
config
/
categories
/
{type}
/
{id}
Update Category
curl --request PUT \
--url https://api.mezmo.com/v1/config/categories/{type}/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.mezmo.com/v1/config/categories/{type}/{id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.mezmo.com/v1/config/categories/{type}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}This response has no body data.Authorizations
AccessTokenservicekeyAuth
This key is used for all apis with the exception of ingest. You can obtain it following
these instructions and placing
the key in the header of your call in the format of Authorization: Token {accesstoken}
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
Path Parameters
Category type. Must be [views, boards, screens]
ID of category.
Body
application/json
Request parameters
Name of a view.
Response
OK
⌘I
Update Category

